@use 'base/variables' as v;
@use 'base/mixins' as m;

.header {
    background-color: v.$myAqua;
    @include m.tablet_size{
        &.fixedNav {        
            left: 0;
            top: 0;
            position: fixed;    // If the header has the "fiexNav class, set the position to fixed.
            width: 100%;        // Include this to avoid issues with the width of the fixed header
            box-shadow: .3rem .3rem .3rem #444444;
        }    
    }
    
    h1{                             // Nesting: This will result in css .header {background-color: v.$myAqua;} 
        color: v.$myWhite;          // and then .header h1 { color: v.$myWhite;  }
        text-align: center;
        @include m.tablet_size{
            margin: 0;   
        }
    }
    .header_content {
        padding: 2rem;
        @include m.tablet_size{
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
    }
}

.principal_nav {
    @include m.tablet_size{
        display: flex;
        gap: 2rem;
    }
    a {
        display: block;
        text-align: center;
        margin-bottom: 1rem;
        color: v.$myWhite;
        font-size: 2.4rem;
        @include m.tablet_size{
            margin: 0;
        }
        &:hover {                    // Nesting also works here but it needs the '&' character. Otherwise this will be 
            color: v.$myYellow;      // compiled as a :hover instead of a:hover
        }
    }
}

